Package org.apache.synapse.commons.jmx

# Class JmxConfigurationConstants

java.lang.Object
org.apache.synapse.commons.jmx.JmxConfigurationConstants

public class JmxConfigurationConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `JMX_PROTECTED_TOKEN`
  Token for jmx password
  `static final String`
  `PROP_ENDPOINT_VIEW_JMX_ENABLE`
  `static final String`
  `PROP_HOSTNAME`
  Hostname property used to configure JMX Adapter
  `static final String`
  `PROP_JNDI_PORT`
  JNDI port property used for the JMX naming directory (RMI registry)
  `static final String`
  `PROP_REMOTE_ACCESS_FILE`
  Property for location of remote access file.
  `static final String`
  `PROP_REMOTE_SSL`
  Property to activate remote SSL support (same as com.sun.management.jmxremote.ssl)
  `static final String`
  `PROP_RMI_PORT`
  RMI port property used to configure the JMX RMI port (firewalled setup)
  `static final String`
  `PROP_SYNAPSE_PREFIX_JMX`
  Prefix for all properties in property file
  `static final String`
  `PROP_THREAD_JMX_ENABLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JmxConfigurationConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JMX_PROTECTED_TOKEN

    public static final String JMX_PROTECTED_TOKEN
    Token for jmx password
    See Also:
      - Constant Field Values

  - ### PROP_SYNAPSE_PREFIX_JMX

    public static final String PROP_SYNAPSE_PREFIX_JMX
    Prefix for all properties in property file
    See Also:
      - Constant Field Values

  - ### PROP_JNDI_PORT

    public static final String PROP_JNDI_PORT
    JNDI port property used for the JMX naming directory (RMI registry)
    See Also:
      - Constant Field Values

  - ### PROP_RMI_PORT

    public static final String PROP_RMI_PORT
    RMI port property used to configure the JMX RMI port (firewalled setup)
    See Also:
      - Constant Field Values

  - ### PROP_HOSTNAME

    public static final String PROP_HOSTNAME
    Hostname property used to configure JMX Adapter
    See Also:
      - Constant Field Values

  - ### PROP_REMOTE_ACCESS_FILE

    public static final String PROP_REMOTE_ACCESS_FILE
    Property for location of remote access file.
    See Also:
      - Constant Field Values

  - ### PROP_REMOTE_SSL

    public static final String PROP_REMOTE_SSL
    Property to activate remote SSL support (same as com.sun.management.jmxremote.ssl)
    See Also:
      - Constant Field Values

  - ### PROP_THREAD_JMX_ENABLE

    public static final String PROP_THREAD_JMX_ENABLE
    See Also:
      - Constant Field Values

  - ### PROP_ENDPOINT_VIEW_JMX_ENABLE

    public static final String PROP_ENDPOINT_VIEW_JMX_ENABLE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JmxConfigurationConstants

    public JmxConfigurationConstants()